/*
 * Copyright (c) 2015-2017, Parallels International GmbH
 *
 * This file is part of Virtuozzo Core Libraries. Virtuozzo Core
 * Libraries is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <http://www.gnu.org/licenses/> or write to Free Software Foundation,
 * 51 Franklin Street, Fifth Floor Boston, MA 02110, USA.
 *
 * Our contact details: Parallels International GmbH, Vordergasse 59, 8200
 * Schaffhausen, Switzerland.
 */

#include <QString>

static QString g_text[] = {
	QString("domain"),
	QString("unsignedInt"),
	QString("unsignedLong"),
	QString("hexuint"),
	QString("positiveInteger"),
	QString("octalMode"),
	QString("uint8"),
	QString("data7"),
	QString("uint88"),
	QString("data9"),
	QString("uint810"),
	QString("uint8range"),
	QString("data12"),
	QString("uint8range13"),
	QString("data14"),
	QString("uint8range15"),
	QString("uint24range"),
	QString("data17"),
	QString("uint24range18"),
	QString("data19"),
	QString("uint24range20"),
	QString("UUID"),
	QString("data22"),
	QString("UUID23"),
	QString("data24"),
	QString("UUID25"),
	QString("pciaddress"),
	QString("pciDomain"),
	QString("bus"),
	QString("pciBus"),
	QString("slot"),
	QString("pciSlot"),
	QString("function"),
	QString("pciFunc"),
	QString("multifunction"),
	QString("virOnOff"),
	QString("uniMacAddr"),
	QString("multiMacAddr"),
	QString("macAddr"),
	QString("duidLLT"),
	QString("duidEN"),
	QString("duidLL"),
	QString("duidUUID"),
	QString("DUID"),
	QString("DUID44"),
	QString("DUID45"),
	QString("DUID46"),
	QString("DUID47"),
	QString("ipv4Addr"),
	QString("ipv6Addr"),
	QString("ipAddr"),
	QString("ipAddr51"),
	QString("ipAddr52"),
	QString("ipv4Prefix"),
	QString("ipv6Prefix"),
	QString("ipPrefix"),
	QString("ipPrefix56"),
	QString("ipPrefix57"),
	QString("genericName"),
	QString("dnsName"),
	QString("deviceName"),
	QString("filePath"),
	QString("dirPath"),
	QString("absFilePath"),
	QString("absDirPath"),
	QString("unit"),
	QString("scaledInteger"),
	QString("wwn"),
	QString("cpuset"),
	QString("volName"),
	QString("archnames"),
	QString("aarch64"),
	QString("alpha"),
	QString("armv7l"),
	QString("cris"),
	QString("i686"),
	QString("ia64"),
	QString("lm32"),
	QString("m68k"),
	QString("microblaze"),
	QString("microblazeel"),
	QString("mips"),
	QString("mipsel"),
	QString("mips64"),
	QString("mips64el"),
	QString("openrisc"),
	QString("parisc"),
	QString("parisc64"),
	QString("ppc"),
	QString("ppc64"),
	QString("ppcemb"),
	QString("s390"),
	QString("s390x"),
	QString("sh4"),
	QString("sh4eb"),
	QString("sparc"),
	QString("sparc64"),
	QString("unicore32"),
	QString("x86_64"),
	QString("xtensa"),
	QString("xtensaeb"),
	QString("PortNumber"),
	QString("sourceinfoadapter"),
	QString("adapter"),
	QString("type"),
	QString("scsi_host"),
	QString("name"),
	QString("variant107"),
	QString("parentaddr"),
	QString("unique_id"),
	QString("address"),
	QString("variant111"),
	QString("choice112"),
	QString("adapter113"),
	QString("fc_host"),
	QString("parent"),
	QString("wwnn"),
	QString("wwpn"),
	QString("adapter118"),
	QString("isaaddress"),
	QString("iobase"),
	QString("irq"),
	QString("link-speed-state"),
	QString("link"),
	QString("speed"),
	QString("state"),
	QString("unknown"),
	QString("notpresent"),
	QString("down"),
	QString("lowerlayerdown"),
	QString("testing"),
	QString("dormant"),
	QString("up"),
	QString("virYesNo"),
	QString("yes"),
	QString("no"),
	QString("on"),
	QString("off"),
	QString("metadata"),
	QString("customElement"),
	QString("variant140"),
	QString("variant141"),
	QString("variant142"),
	QString("choice143"),
	QString("encryption"),
	QString("format"),
	QString("default"),
	QString("qcow"),
	QString("secret"),
	QString("passphrase"),
	QString("uuid"),
	QString("compat"),
	QString("ownValue"),
	QString("fileFormatFeatures"),
	QString("features"),
	QString("lazy_refcounts"),
	QString("storageFormatBacking"),
	QString("cow"),
	QString("qcow2"),
	QString("qed"),
	QString("vmdk"),
	QString("storageFormat"),
	QString("raw"),
	QString("dir"),
	QString("bochs"),
	QString("cloop"),
	QString("dmg"),
	QString("iso"),
	QString("vpc"),
	QString("vdi"),
	QString("fat"),
	QString("vhd"),
	QString("storageFormat172"),
	QString("storageStartupPolicy"),
	QString("storageSourceExtra"),
	QString("virtualPortProfileID"),
	QString("virtualPortProfile"),
	QString("virtualport"),
	QString("802.1Qbg"),
	QString("parameters"),
	QString("managerid"),
	QString("typeid"),
	QString("typeidversion"),
	QString("instanceid"),
	QString("virtualPortProfile184"),
	QString("802.1Qbh"),
	QString("profileid"),
	QString("virtualPortProfile187"),
	QString("openvswitch"),
	QString("interfaceid"),
	QString("virtualPortProfile190"),
	QString("virtualPortProfile191"),
	QString("bandwidth"),
	QString("inbound"),
	QString("bandwidth-attributes"),
	QString("outbound"),
	QString("average"),
	QString("peak"),
	QString("floor"),
	QString("burst"),
	QString("BurstSize"),
	QString("unsignedShort"),
	QString("protocol"),
	QString("addr-family"),
	QString("vlan"),
	QString("trunk"),
	QString("tag"),
	QString("id"),
	QString("nativeMode"),
	QString("tagged"),
	QString("untagged"),
	QString("port"),
	QString("macTableManager"),
	QString("kernel"),
	QString("libvirt"),
	QString("description"),
	QString("title"),
	QString("hvs"),
	QString("ids"),
	QString("cpu"),
	QString("sysinfo"),
	QString("os"),
	QString("clock"),
	QString("resources"),
	QString("events"),
	QString("pm"),
	QString("idmap"),
	QString("devices"),
	QString("seclabel"),
	QString("qemucmdline"),
	QString("model"),
	QString("dynamic"),
	QString("relabel"),
	QString("label"),
	QString("imagelabel"),
	QString("baselabel"),
	QString("seclabel236"),
	QString("static"),
	QString("seclabel238"),
	QString("none"),
	QString("seclabel240"),
	QString("devSeclabel"),
	QString("seclabel242"),
	QString("labelskip"),
	QString("seclabel244"),
	QString("seclabel245"),
	QString("qemu"),
	QString("kqemu"),
	QString("kvm"),
	QString("xen"),
	QString("lxc"),
	QString("uml"),
	QString("openvz"),
	QString("test"),
	QString("vmware"),
	QString("hyperv"),
	QString("vbox"),
	QString("phyp"),
	QString("parallels"),
	QString("bhyve"),
	QString("osxen"),
	QString("os261"),
	QString("oshvm"),
	QString("os263"),
	QString("osexe"),
	QString("os265"),
	QString("bootloader"),
	QString("ostypexen"),
	QString("osbootkernel"),
	QString("osxen269"),
	QString("osxen270"),
	QString("ostypehvm"),
	QString("loader"),
	QString("readonly"),
	QString("rom"),
	QString("pflash"),
	QString("nvram"),
	QString("template"),
	QString("osbootdev"),
	QString("bootmenu"),
	QString("enable"),
	QString("timeout"),
	QString("smbios"),
	QString("bios"),
	QString("arch"),
	QString("machine"),
	QString("xenpv"),
	QString("xenner"),
	QString("linux"),
	QString("hvmx86"),
	QString("variant290"),
	QString("hvmmips"),
	QString("variant292"),
	QString("hvmsparc"),
	QString("variant294"),
	QString("hvmppc"),
	QString("variant296"),
	QString("hvmppc64"),
	QString("variant298"),
	QString("hvms390"),
	QString("variant300"),
	QString("hvmarm"),
	QString("variant302"),
	QString("hvmaarch64"),
	QString("variant304"),
	QString("choice305"),
	QString("hvm"),
	QString("sun4m"),
	QString("g3beige"),
	QString("mac99"),
	QString("prep"),
	QString("ppce500"),
	QString("pseries"),
	QString("s390-virtio"),
	QString("s390-ccw"),
	QString("s390-ccw-virtio"),
	QString("exe"),
	QString("init"),
	QString("initarg"),
	QString("domainName"),
	QString("uid"),
	QString("start"),
	QString("target"),
	QString("count"),
	QString("gid"),
	QString("memory"),
	QString("dumpCore"),
	QString("maxMemory"),
	QString("slots"),
	QString("currentMemory"),
	QString("memoryBacking"),
	QString("hugepages"),
	QString("page"),
	QString("size"),
	QString("nodeset"),
	QString("nosharepages"),
	QString("locked"),
	QString("vcpu"),
	QString("placement"),
	QString("auto"),
	QString("current"),
	QString("countCPU"),
	QString("vcpus"),
	QString("enabled"),
	QString("hotpluggable"),
	QString("order"),
	QString("iothreads"),
	QString("blkiotune"),
	QString("memtune"),
	QString("cputune"),
	QString("numatune"),
	QString("respartition"),
	QString("weight"),
	QString("device"),
	QString("path"),
	QString("read_iops_sec"),
	QString("write_iops_sec"),
	QString("read_bytes_sec"),
	QString("write_bytes_sec"),
	QString("hard_limit"),
	QString("soft_limit"),
	QString("min_guarantee"),
	QString("swap_hard_limit"),
	QString("shares"),
	QString("cpushares"),
	QString("global_period"),
	QString("cpuperiod"),
	QString("global_quota"),
	QString("cpuquota"),
	QString("period"),
	QString("quota"),
	QString("emulator_period"),
	QString("emulator_quota"),
	QString("vcpupin"),
	QString("vcpuid"),
	QString("emulatorpin"),
	QString("iothreadpin"),
	QString("iothread"),
	QString("mode"),
	QString("strict"),
	QString("preferred"),
	QString("interleave"),
	QString("memory382"),
	QString("memory383"),
	QString("memnode"),
	QString("cellid"),
	QString("resource"),
	QString("partition"),
	QString("offset"),
	QString("localtime"),
	QString("utc"),
	QString("adjustment"),
	QString("timeDelta"),
	QString("adjustment393"),
	QString("reset"),
	QString("clock395"),
	QString("timezone"),
	QString("timeZone"),
	QString("clock398"),
	QString("variable"),
	QString("basis"),
	QString("clock401"),
	QString("timer"),
	QString("platform"),
	QString("rtc"),
	QString("track"),
	QString("boot"),
	QString("guest"),
	QString("wall"),
	QString("tickpolicy"),
	QString("timer410"),
	QString("tsc"),
	QString("frequency"),
	QString("native"),
	QString("emulate"),
	QString("paravirt"),
	QString("smpsafe"),
	QString("timer417"),
	QString("hpet"),
	QString("pit"),
	QString("timer420"),
	QString("kvmclock"),
	QString("hypervclock"),
	QString("timer423"),
	QString("present"),
	QString("delay"),
	QString("merge"),
	QString("discard"),
	QString("tickpolicy428"),
	QString("catchup"),
	QString("threshold"),
	QString("slew"),
	QString("limit"),
	QString("tickpolicy433"),
	QString("bootloader434"),
	QString("bootloader_args"),
	QString("initrd"),
	QString("root"),
	QString("cmdline"),
	QString("dtb"),
	QString("dev"),
	QString("hd"),
	QString("fd"),
	QString("cdrom"),
	QString("network"),
	QString("diskspec"),
	QString("diskDriver"),
	QString("diskMirror"),
	QString("diskAuth"),
	QString("deviceBoot"),
	QString("shareable"),
	QString("transient"),
	QString("serial"),
	QString("diskSerial"),
	QString("diskIoTune"),
	QString("alias"),
	QString("geometry"),
	QString("diskBlockIo"),
	QString("vendor"),
	QString("product"),
	QString("snapshot"),
	QString("internal"),
	QString("external"),
	QString("lease"),
	QString("lockspace"),
	QString("key"),
	QString("startupPolicy"),
	QString("mandatory"),
	QString("requisite"),
	QString("optional"),
	QString("disk"),
	QString("floppy"),
	QString("disk472"),
	QString("lun"),
	QString("rawIO"),
	QString("sgio"),
	QString("filtered"),
	QString("unfiltered"),
	QString("disk478"),
	QString("diskSource"),
	QString("diskBackingChain"),
	QString("diskBackingStore"),
	QString("diskBackingChain482"),
	QString("diskBackingStoreLast"),
	QString("diskBackingChain484"),
	QString("backingStore"),
	QString("index"),
	QString("diskFormat"),
	QString("diskSourceBlock"),
	QString("diskSource489"),
	QString("diskSourceDir"),
	QString("diskSource491"),
	QString("diskSourceNetwork"),
	QString("diskSource493"),
	QString("diskSourceVolume"),
	QString("diskSource495"),
	QString("diskSourceFile"),
	QString("diskSource497"),
	QString("file"),
	QString("source"),
	QString("block"),
	QString("nbd"),
	QString("rbd"),
	QString("sheepdog"),
	QString("gluster"),
	QString("iscsi"),
	QString("http"),
	QString("https"),
	QString("ftp"),
	QString("ftps"),
	QString("tftp"),
	QString("host"),
	QString("transport"),
	QString("tcp"),
	QString("rdma"),
	QString("name515"),
	QString("name516"),
	QString("host517"),
	QString("unix"),
	QString("socket"),
	QString("host520"),
	QString("volume"),
	QString("pool"),
	QString("direct"),
	QString("diskTarget"),
	QString("ide"),
	QString("fdc"),
	QString("scsi"),
	QString("virtio"),
	QString("usb"),
	QString("sata"),
	QString("sd"),
	QString("tray"),
	QString("open"),
	QString("closed"),
	QString("removable"),
	QString("cyls"),
	QString("heads"),
	QString("secs"),
	QString("trans"),
	QString("lba"),
	QString("blockio"),
	QString("logical_block_size"),
	QString("physical_block_size"),
	QString("driver"),
	QString("driverFormat"),
	QString("driverCache"),
	QString("driverErrorPolicy"),
	QString("driverRerrorPolicy"),
	QString("driverIO"),
	QString("ioeventfd"),
	QString("event_idx"),
	QString("copy_on_read"),
	QString("driverIOThread"),
	QString("type554"),
	QString("aio"),
	QString("cache"),
	QString("writeback"),
	QString("writethrough"),
	QString("directsync"),
	QString("unsafe"),
	QString("error_policy"),
	QString("stop"),
	QString("report"),
	QString("ignore"),
	QString("enospace"),
	QString("rerror_policy"),
	QString("io"),
	QString("threads"),
	QString("unmap"),
	QString("controller"),
	QString("ccid"),
	QString("variant572"),
	QString("buslogic"),
	QString("lsilogic"),
	QString("lsisas1068"),
	QString("vmpvscsi"),
	QString("ibmvscsi"),
	QString("virtio-scsi"),
	QString("lsisas1078"),
	QString("hv-scsi"),
	QString("variant581"),
	QString("piix3-uhci"),
	QString("piix4-uhci"),
	QString("ehci"),
	QString("ich9-ehci1"),
	QString("ich9-uhci1"),
	QString("ich9-uhci2"),
	QString("ich9-uhci3"),
	QString("vt82c686b-uhci"),
	QString("pci-ohci"),
	QString("nec-xhci"),
	QString("usbmaster"),
	QString("variant593"),
	QString("pci"),
	QString("spapr-pci-host-bridge"),
	QString("pci-bridge"),
	QString("i82801b11-bridge"),
	QString("ioh3420"),
	QString("pcie-root-port"),
	QString("x3130-upstream"),
	QString("xio3130-downstream"),
	QString("pxb"),
	QString("pxb-pcie"),
	QString("chassisNr"),
	QString("chassis"),
	QString("busNr"),
	QString("node"),
	QString("pci-root"),
	QString("pcie-root"),
	QString("pcihole64"),
	QString("variant611"),
	QString("dmi-to-pci-bridge"),
	QString("pcie-switch-upstream-port"),
	QString("pcie-switch-downstream-port"),
	QString("pci-expander-bus"),
	QString("pcie-expander-bus"),
	QString("variant617"),
	QString("choice618"),
	QString("variant619"),
	QString("virtio-serial"),
	QString("ports"),
	QString("vectors"),
	QString("variant623"),
	QString("choice624"),
	QString("queues"),
	QString("cmd_per_lun"),
	QString("max_sectors"),
	QString("filesystem"),
	QString("fsDriver"),
	QString("filesystem630"),
	QString("filesystem631"),
	QString("mount"),
	QString("filesystem633"),
	QString("bind"),
	QString("filesystem635"),
	QString("filesystem636"),
	QString("ram"),
	QString("usage"),
	QString("units"),
	QString("filesystem640"),
	QString("accessmode"),
	QString("passthrough"),
	QString("mapped"),
	QString("squash"),
	QString("space_hard_limit"),
	QString("space_soft_limit"),
	QString("handle"),
	QString("loop"),
	QString("wrpolicy"),
	QString("immediate"),
	QString("interface-network-attributes"),
	QString("portgroup"),
	QString("interface-bridge-attributes"),
	QString("bridge"),
	QString("interface"),
	QString("interface-options"),
	QString("interface657"),
	QString("ethernet"),
	QString("interface659"),
	QString("vhostuser"),
	QString("server"),
	QString("client"),
	QString("interface663"),
	QString("interface664"),
	QString("bridgeMode"),
	QString("interface666"),
	QString("user"),
	QString("interface668"),
	QString("interface669"),
	QString("mcast"),
	QString("mac"),
	QString("interface672"),
	QString("interface673"),
	QString("hostdev"),
	QString("managed"),
	QString("missing"),
	QString("usbproduct"),
	QString("usbaddress"),
	QString("source679"),
	QString("address680"),
	QString("usbAddr"),
	QString("usbPort"),
	QString("address683"),
	QString("source684"),
	QString("interface685"),
	QString("actual"),
	QString("ip"),
	QString("family"),
	QString("prefix"),
	QString("script"),
	QString("backend"),
	QString("tap"),
	QString("vhost"),
	QString("vfio"),
	QString("driver695"),
	QString("txmode"),
	QString("driver697"),
	QString("csum"),
	QString("gso"),
	QString("tso4"),
	QString("tso6"),
	QString("ecn"),
	QString("ufo"),
	QString("filterref"),
	QString("filterref-node-attributes"),
	QString("tune"),
	QString("sndbuf"),
	QString("emulator"),
	QString("graphic"),
	QString("graphics"),
	QString("sdl"),
	QString("display"),
	QString("xauth"),
	QString("fullscreen"),
	QString("graphics715"),
	QString("vnc"),
	QString("autoport"),
	QString("websocket"),
	QString("listen"),
	QString("addrIPorName"),
	QString("sharePolicy"),
	QString("allow-exclusive"),
	QString("force-shared"),
	QString("variant724"),
	QString("variant725"),
	QString("choice726"),
	QString("passwd"),
	QString("keymap"),
	QString("passwdValidTo"),
	QString("connected"),
	QString("keep"),
	QString("listenElements"),
	QString("graphics733"),
	QString("spice"),
	QString("tlsPort"),
	QString("fail"),
	QString("disconnect"),
	QString("defaultMode"),
	QString("any"),
	QString("secure"),
	QString("insecure"),
	QString("channel"),
	QString("main"),
	QString("inputs"),
	QString("cursor"),
	QString("playback"),
	QString("record"),
	QString("smartcard"),
	QString("usbredir"),
	QString("image"),
	QString("compression"),
	QString("auto_glz"),
	QString("auto_lz"),
	QString("quic"),
	QString("glz"),
	QString("lz"),
	QString("jpeg"),
	QString("never"),
	QString("always"),
	QString("zlib"),
	QString("streaming"),
	QString("filter"),
	QString("all"),
	QString("clipboard"),
	QString("copypaste"),
	QString("mouse"),
	QString("filetransfer"),
	QString("graphics768"),
	QString("rdp"),
	QString("replaceUser"),
	QString("multiUser"),
	QString("graphics772"),
	QString("desktop"),
	QString("graphics774"),
	QString("listen775"),
	QString("listen776"),
	QString("video"),
	QString("vga"),
	QString("cirrus"),
	QString("vmvga"),
	QString("model781"),
	QString("qxl"),
	QString("model783"),
	QString("vram"),
	QString("primary"),
	QString("acceleration"),
	QString("accel3d"),
	QString("accel2d"),
	QString("on_reboot"),
	QString("offOptions"),
	QString("on_poweroff"),
	QString("on_crash"),
	QString("crashOptions"),
	QString("on_lockfailure"),
	QString("lockfailureOptions"),
	QString("destroy"),
	QString("restart"),
	QString("preserve"),
	QString("rename-restart"),
	QString("coredump-destroy"),
	QString("coredump-restart"),
	QString("poweroff"),
	QString("pause"),
	QString("suspend-to-mem"),
	QString("suspendChoices"),
	QString("suspend-to-disk"),
	QString("qemucdev"),
	QString("qemucdevSrcType"),
	QString("tty"),
	QString("qemucdevSrcDef"),
	QString("qemucdevTgtDef"),
	QString("qemucdevConsoleTgtType"),
	QString("sclp"),
	QString("sclplm"),
	QString("qemucdevSerialTgtType"),
	QString("isa-serial"),
	QString("usb-serial"),
	QString("variant818"),
	QString("variant819"),
	QString("choice820"),
	QString("qemucdevSrcTypeChoice"),
	QString("pipe"),
	QString("udp"),
	QString("null"),
	QString("stdio"),
	QString("vc"),
	QString("pty"),
	QString("spicevmc"),
	QString("spiceport"),
	QString("nmdm"),
	QString("usbdevfilter"),
	QString("usbdev"),
	QString("allow"),
	QString("class"),
	QString("usbClass"),
	QString("class836"),
	QString("usbIdDefault"),
	QString("class838"),
	QString("usbId"),
	QString("vendor840"),
	QString("vendor841"),
	QString("product842"),
	QString("product843"),
	QString("version"),
	QString("usbVersion"),
	QString("version846"),
	QString("version847"),
	QString("service"),
	QString("wiremode"),
	QString("master"),
	QString("slave"),
	QString("append"),
	QString("telnet"),
	QString("telnets"),
	QString("tls"),
	QString("console"),
	QString("console857"),
	QString("variant858"),
	QString("console859"),
	QString("codec"),
	QString("duplex"),
	QString("micro"),
	QString("sound"),
	QString("sb16"),
	QString("es1370"),
	QString("pcspk"),
	QString("ac97"),
	QString("ich6"),
	QString("ich9"),
	QString("variant870"),
	QString("watchdog"),
	QString("i6300esb"),
	QString("ib700"),
	QString("action"),
	QString("shutdown"),
	QString("dump"),
	QString("memballoon"),
	QString("autodeflate"),
	QString("stats"),
	QString("parallel"),
	QString("guestfwdTarget"),
	QString("guestfwd"),
	QString("virtioTarget"),
	QString("variant884"),
	QString("variant885"),
	QString("choice886"),
	QString("smartcard887"),
	QString("host-certificates"),
	QString("certificate"),
	QString("database"),
	QString("smartcard891"),
	QString("smartcard892"),
	QString("tpm"),
	QString("tpm-tis"),
	QString("tpm-backend"),
	QString("tpm-passthrough-device"),
	QString("backend897"),
	QString("input"),
	QString("tablet"),
	QString("keyboard"),
	QString("ps2"),
	QString("hub"),
	QString("redirdev"),
	QString("redirfilter"),
	QString("hostdevsubsys"),
	QString("variant906"),
	QString("hostdevcaps"),
	QString("variant908"),
	QString("choice909"),
	QString("subsystem"),
	QString("hostdevsubsyspci"),
	QString("hostdevsubsys912"),
	QString("hostdevsubsysusb"),
	QString("hostdevsubsys914"),
	QString("hostdevsubsysscsi"),
	QString("hostdevsubsys916"),
	QString("capabilities"),
	QString("hostdevcapsstorage"),
	QString("hostdevcaps919"),
	QString("hostdevcapsmisc"),
	QString("hostdevcaps921"),
	QString("hostdevcapsnet"),
	QString("hostdevcaps923"),
	QString("source924"),
	QString("source925"),
	QString("scsiaddress"),
	QString("source927"),
	QString("source928"),
	QString("storage"),
	QString("misc"),
	QString("char"),
	QString("net"),
	QString("driveBus"),
	QString("driveTarget"),
	QString("driveUnit"),
	QString("usbportaddress"),
	QString("spaprvioaddress"),
	QString("reg"),
	QString("spaprvioReg"),
	QString("ccwaddress"),
	QString("cssid"),
	QString("ccwCssidRange"),
	QString("ssid"),
	QString("ccwSsidRange"),
	QString("devno"),
	QString("ccwDevnoRange"),
	QString("driveaddress"),
	QString("driveController"),
	QString("virtioserialaddress"),
	QString("ccidaddress"),
	QString("dimmaddress"),
	QString("base"),
	QString("vmbusaddress"),
	QString("variant954"),
	QString("variant955"),
	QString("variant956"),
	QString("variant957"),
	QString("variant958"),
	QString("variant959"),
	QString("variant960"),
	QString("variant961"),
	QString("variant962"),
	QString("variant963"),
	QString("variant964"),
	QString("variant965"),
	QString("variant966"),
	QString("variant967"),
	QString("variant968"),
	QString("variant969"),
	QString("variant970"),
	QString("variant971"),
	QString("rng"),
	QString("variant973"),
	QString("variant974"),
	QString("memorydev"),
	QString("variant976"),
	QString("choice977"),
	QString("panic"),
	QString("pae"),
	QString("apic"),
	QString("eoi"),
	QString("acpi"),
	QString("hap"),
	QString("viridian"),
	QString("privnet"),
	QString("pvspinlock"),
	QString("featurestate"),
	QString("pmu"),
	QString("vmport"),
	QString("gic"),
	QString("cpuMode"),
	QString("cpuMatch"),
	QString("cpuModel"),
	QString("cpuVendor"),
	QString("cpuTopology"),
	QString("cpuFeature"),
	QString("cpuNuma"),
	QString("custom"),
	QString("host-model"),
	QString("host-passthrough"),
	QString("match"),
	QString("minimum"),
	QString("exact"),
	QString("fallback"),
	QString("forbid"),
	QString("vendor_id"),
	QString("model1007"),
	QString("feature"),
	QString("policy"),
	QString("force"),
	QString("require"),
	QString("disable"),
	QString("featureName"),
	QString("topology"),
	QString("sockets"),
	QString("cores"),
	QString("numa"),
	QString("numaCell"),
	QString("cell"),
	QString("cpus"),
	QString("memoryKB"),
	QString("memAccess"),
	QString("shared"),
	QString("private"),
	QString("entry"),
	QString("sysinfo-bios-name"),
	QString("sysinfo-value"),
	QString("system"),
	QString("sysinfo-system-name"),
	QString("date"),
	QString("release"),
	QString("manufacturer"),
	QString("sku"),
	QString("useserial"),
	QString("rebootTimeout"),
	QString("rebootTimeoutDelay"),
	QString("address1037"),
	QString("drive"),
	QString("address1039"),
	QString("address1040"),
	QString("address1041"),
	QString("address1042"),
	QString("spapr-vio"),
	QString("address1044"),
	QString("ccw"),
	QString("address1046"),
	QString("isa"),
	QString("address1048"),
	QString("dimm"),
	QString("address1050"),
	QString("vmbus"),
	QString("address1052"),
	QString("bar"),
	QString("memorydev-source"),
	QString("memorydev-target"),
	QString("pagesize"),
	QString("nodemask"),
	QString("rng-backend"),
	QString("rng-rate"),
	QString("random"),
	QString("/dev/random"),
	QString("/dev/hwrng"),
	QString("choice1063"),
	QString("backend1064"),
	QString("egd"),
	QString("backend1066"),
	QString("rate"),
	QString("bytes"),
	QString("startport"),
	QString("parameter"),
	QString("filter-param-name"),
	QString("value"),
	QString("filter-param-value"),
	QString("mirror"),
	QString("job"),
	QString("copy"),
	QString("mirror1077"),
	QString("active-commit"),
	QString("mirror1079"),
	QString("ready"),
	QString("abort"),
	QString("pivot"),
	QString("auth"),
	QString("username"),
	QString("diskAuthSecret"),
	QString("ceph"),
	QString("secret1087"),
	QString("secret1088"),
	QString("iotune"),
	QString("total_bytes_sec"),
	QString("variant1091"),
	QString("variant1092"),
	QString("choice1093"),
	QString("total_iops_sec"),
	QString("variant1095"),
	QString("variant1096"),
	QString("choice1097"),
	QString("relaxed"),
	QString("vapic"),
	QString("spinlocks"),
	QString("retries"),
	QString("vpindex"),
	QString("runtime"),
	QString("synic"),
	QString("stimer"),
	QString("hidden"),
	QString("capabilitiespolicy"),
	QString("audit_control"),
	QString("audit_write"),
	QString("block_suspend"),
	QString("chown"),
	QString("dac_override"),
	QString("dac_read_search"),
	QString("fowner"),
	QString("fsetid"),
	QString("ipc_lock"),
	QString("ipc_owner"),
	QString("kill"),
	QString("linux_immutable"),
	QString("mac_admin"),
	QString("mac_override"),
	QString("mknod"),
	QString("net_admin"),
	QString("net_bind_service"),
	QString("net_broadcast"),
	QString("net_raw"),
	QString("setgid"),
	QString("setfcap"),
	QString("setpcap"),
	QString("setuid"),
	QString("sys_admin"),
	QString("sys_boot"),
	QString("sys_chroot"),
	QString("sys_module"),
	QString("sys_nice"),
	QString("sys_pacct"),
	QString("sys_ptrace"),
	QString("sys_rawio"),
	QString("sys_resource"),
	QString("sys_time"),
	QString("sys_tty_config"),
	QString("syslog"),
	QString("wake_alarm"),
	QString("deny"),
	QString("commandline"),
	QString("arg"),
	QString("env"),
	QString("http://libvirt.org/schemas/domain/qemu/1.0"),
	QString("aliasName"),
	QString("data1150"),
	QString("ccwCssidRange1151"),
	QString("data1152"),
	QString("ccwCssidRange1153"),
	QString("data1154"),
	QString("ccwCssidRange1155"),
	QString("data1156"),
	QString("ccwDevnoRange1157"),
	QString("data1158"),
	QString("ccwDevnoRange1159"),
	QString("rawio"),
	QString("memory1161"),
	QString("anonymous1162"),
	QString("anonymous1163"),
	QString("data1164"),
	QString("uint81165"),
	QString("data1166"),
	QString("uint81167"),
	QString("data1168"),
	QString("uint8range1169"),
	QString("data1170"),
	QString("uint8range1171"),
	QString("data1172"),
	QString("uint24range1173"),
	QString("data1174"),
	QString("uint24range1175"),
	QString("data1176"),
	QString("UUID1177"),
	QString("data1178"),
	QString("UUID1179"),
	QString("DUID1180"),
	QString("DUID1181"),
	QString("DUID1182"),
	QString("DUID1183"),
	QString("ipAddr1184"),
	QString("ipAddr1185"),
	QString("ipPrefix1186"),
	QString("ipPrefix1187"),
	QString("variant1188"),
	QString("variant1189"),
	QString("choice1190"),
	QString("adapter1191"),
	QString("adapter1192"),
	QString("variant1193"),
	QString("variant1194"),
	QString("variant1195"),
	QString("choice1196"),
	QString("virtualPortProfile1197"),
	QString("virtualPortProfile1198"),
	QString("virtualPortProfile1199"),
	QString("virtualPortProfile1200"),
	QString("connections"),
	QString("ipv6"),
	QString("stp"),
	QString("forward"),
	QString("nat"),
	QString("route"),
	QString("vepa"),
	QString("variant1208"),
	QString("variant1209"),
	QString("choice1210"),
	QString("pf"),
	QString("end"),
	QString("dns"),
	QString("forwardPlainNames"),
	QString("forwarder"),
	QString("addr"),
	QString("txt"),
	QString("srv"),
	QString("priority"),
	QString("hostname"),
	QString("netmask"),
	QString("variant1222"),
	QString("variant1223"),
	QString("choice1224"),
	QString("dhcp"),
	QString("range"),
	QString("variant1227"),
	QString("variant1228"),
	QString("choice1229"),
	QString("host1230"),
	QString("host1231"),
	QString("bootp"),
	QString("variant1233"),
	QString("variant1234"),
	QString("choice1235"),
	QString("gateway"),
	QString("metric"),
	QString("anonymous1238"),
	QString("ethernet-interface"),
	QString("variant1240"),
	QString("bridge-interface"),
	QString("variant1242"),
	QString("bond-interface"),
	QString("variant1244"),
	QString("vlan-interface"),
	QString("variant1246"),
	QString("choice1247"),
	QString("data1248"),
	QString("uint81249"),
	QString("data1250"),
	QString("uint81251"),
	QString("data1252"),
	QString("uint8range1253"),
	QString("data1254"),
	QString("uint8range1255"),
	QString("data1256"),
	QString("uint24range1257"),
	QString("data1258"),
	QString("uint24range1259"),
	QString("data1260"),
	QString("UUID1261"),
	QString("data1262"),
	QString("UUID1263"),
	QString("DUID1264"),
	QString("DUID1265"),
	QString("DUID1266"),
	QString("DUID1267"),
	QString("ipAddr1268"),
	QString("ipAddr1269"),
	QString("ipPrefix1270"),
	QString("ipPrefix1271"),
	QString("variant1272"),
	QString("variant1273"),
	QString("choice1274"),
	QString("adapter1275"),
	QString("adapter1276"),
	QString("variant1277"),
	QString("variant1278"),
	QString("variant1279"),
	QString("choice1280"),
	QString("basic-ethernet-content"),
	QString("name-attr"),
	QString("bare-ethernet-interface"),
	QString("startmode"),
	QString("mtu"),
	QString("interface-addressing"),
	QString("vlan-interface-common"),
	QString("vlan-device"),
	QString("vlan-id"),
	QString("bare-vlan-interface"),
	QString("timeval"),
	QString("variant1292"),
	QString("variant1293"),
	QString("bare-bond-interface"),
	QString("variant1295"),
	QString("choice1296"),
	QString("bond-interface-common"),
	QString("bond"),
	QString("bond-element"),
	QString("balance-rr"),
	QString("active-backup"),
	QString("balance-xor"),
	QString("broadcast"),
	QString("802.3ad"),
	QString("balance-tlb"),
	QString("balance-alb"),
	QString("miimon"),
	QString("freq"),
	QString("downdelay"),
	QString("updelay"),
	QString("carrier"),
	QString("ioctl"),
	QString("netif"),
	QString("variant1314"),
	QString("arpmon"),
	QString("interval"),
	QString("validate"),
	QString("active"),
	QString("backup"),
	QString("variant1320"),
	QString("choice1321"),
	QString("onboot"),
	QString("hotplug"),
	QString("protocol-ipv4"),
	QString("protocol-ipv6"),
	QString("interface-addressing1326"),
	QString("interface-addressing1327"),
	QString("ipv4"),
	QString("dhcp-element"),
	QString("variant1330"),
	QString("variant1331"),
	QString("choice1332"),
	QString("autoconf"),
	QString("peerdns"),
	QString("domainsnapshot"),
	QString("data1336"),
	QString("uint81337"),
	QString("data1338"),
	QString("uint81339"),
	QString("data1340"),
	QString("uint8range1341"),
	QString("data1342"),
	QString("uint8range1343"),
	QString("data1344"),
	QString("uint24range1345"),
	QString("data1346"),
	QString("uint24range1347"),
	QString("data1348"),
	QString("UUID1349"),
	QString("data1350"),
	QString("UUID1351"),
	QString("DUID1352"),
	QString("DUID1353"),
	QString("DUID1354"),
	QString("DUID1355"),
	QString("ipAddr1356"),
	QString("ipAddr1357"),
	QString("ipPrefix1358"),
	QString("ipPrefix1359"),
	QString("variant1360"),
	QString("variant1361"),
	QString("choice1362"),
	QString("adapter1363"),
	QString("adapter1364"),
	QString("variant1365"),
	QString("variant1366"),
	QString("variant1367"),
	QString("choice1368"),
	QString("storageFormat1369"),
	QString("virtualPortProfile1370"),
	QString("virtualPortProfile1371"),
	QString("virtualPortProfile1372"),
	QString("virtualPortProfile1373"),
	QString("seclabel1374"),
	QString("seclabel1375"),
	QString("seclabel1376"),
	QString("seclabel1377"),
	QString("seclabel1378"),
	QString("seclabel1379"),
	QString("os1380"),
	QString("os1381"),
	QString("os1382"),
	QString("osxen1383"),
	QString("osxen1384"),
	QString("variant1385"),
	QString("variant1386"),
	QString("variant1387"),
	QString("variant1388"),
	QString("variant1389"),
	QString("variant1390"),
	QString("variant1391"),
	QString("variant1392"),
	QString("choice1393"),
	QString("memory1394"),
	QString("memory1395"),
	QString("adjustment1396"),
	QString("clock1397"),
	QString("clock1398"),
	QString("clock1399"),
	QString("timer1400"),
	QString("timer1401"),
	QString("timer1402"),
	QString("timer1403"),
	QString("tickpolicy1404"),
	QString("tickpolicy1405"),
	QString("bootloader1406"),
	QString("disk1407"),
	QString("disk1408"),
	QString("diskBackingChain1409"),
	QString("diskBackingChain1410"),
	QString("diskSource1411"),
	QString("diskSource1412"),
	QString("diskSource1413"),
	QString("diskSource1414"),
	QString("diskSource1415"),
	QString("name1416"),
	QString("name1417"),
	QString("host1418"),
	QString("host1419"),
	QString("type1420"),
	QString("variant1421"),
	QString("variant1422"),
	QString("variant1423"),
	QString("variant1424"),
	QString("variant1425"),
	QString("choice1426"),
	QString("variant1427"),
	QString("variant1428"),
	QString("choice1429"),
	QString("filesystem1430"),
	QString("filesystem1431"),
	QString("filesystem1432"),
	QString("filesystem1433"),
	QString("filesystem1434"),
	QString("filesystem1435"),
	QString("interface1436"),
	QString("interface1437"),
	QString("interface1438"),
	QString("interface1439"),
	QString("interface1440"),
	QString("interface1441"),
	QString("interface1442"),
	QString("interface1443"),
	QString("interface1444"),
	QString("source1445"),
	QString("address1446"),
	QString("address1447"),
	QString("source1448"),
	QString("interface1449"),
	QString("driver1450"),
	QString("driver1451"),
	QString("graphics1452"),
	QString("variant1453"),
	QString("variant1454"),
	QString("choice1455"),
	QString("graphics1456"),
	QString("graphics1457"),
	QString("graphics1458"),
	QString("graphics1459"),
	QString("listen1460"),
	QString("listen1461"),
	QString("model1462"),
	QString("model1463"),
	QString("variant1464"),
	QString("variant1465"),
	QString("choice1466"),
	QString("class1467"),
	QString("class1468"),
	QString("vendor1469"),
	QString("vendor1470"),
	QString("product1471"),
	QString("product1472"),
	QString("version1473"),
	QString("version1474"),
	QString("console1475"),
	QString("variant1476"),
	QString("console1477"),
	QString("variant1478"),
	QString("variant1479"),
	QString("variant1480"),
	QString("choice1481"),
	QString("smartcard1482"),
	QString("smartcard1483"),
	QString("smartcard1484"),
	QString("backend1485"),
	QString("variant1486"),
	QString("variant1487"),
	QString("choice1488"),
	QString("hostdevsubsys1489"),
	QString("hostdevsubsys1490"),
	QString("hostdevsubsys1491"),
	QString("hostdevcaps1492"),
	QString("hostdevcaps1493"),
	QString("hostdevcaps1494"),
	QString("source1495"),
	QString("source1496"),
	QString("source1497"),
	QString("source1498"),
	QString("variant1499"),
	QString("variant1500"),
	QString("variant1501"),
	QString("variant1502"),
	QString("variant1503"),
	QString("variant1504"),
	QString("variant1505"),
	QString("variant1506"),
	QString("variant1507"),
	QString("variant1508"),
	QString("variant1509"),
	QString("variant1510"),
	QString("variant1511"),
	QString("variant1512"),
	QString("variant1513"),
	QString("variant1514"),
	QString("variant1515"),
	QString("variant1516"),
	QString("variant1517"),
	QString("variant1518"),
	QString("variant1519"),
	QString("choice1520"),
	QString("model1521"),
	QString("address1522"),
	QString("address1523"),
	QString("address1524"),
	QString("address1525"),
	QString("address1526"),
	QString("address1527"),
	QString("address1528"),
	QString("address1529"),
	QString("address1530"),
	QString("address1531"),
	QString("choice1532"),
	QString("backend1533"),
	QString("backend1534"),
	QString("mirror1535"),
	QString("mirror1536"),
	QString("secret1537"),
	QString("secret1538"),
	QString("variant1539"),
	QString("variant1540"),
	QString("choice1541"),
	QString("variant1542"),
	QString("variant1543"),
	QString("choice1544"),
	QString("data1545"),
	QString("ccwCssidRange1546"),
	QString("data1547"),
	QString("ccwCssidRange1548"),
	QString("data1549"),
	QString("ccwCssidRange1550"),
	QString("data1551"),
	QString("ccwDevnoRange1552"),
	QString("data1553"),
	QString("ccwDevnoRange1554"),
	QString("creationTime"),
	QString("memory1556"),
	QString("memory1557"),
	QString("disks"),
	QString("disksnapshot"),
	QString("0"),
	QString("1"),
	QString("variant1562"),
	QString("data1563"),
	QString("uint81564"),
	QString("data1565"),
	QString("uint81566"),
	QString("data1567"),
	QString("uint8range1568"),
	QString("data1569"),
	QString("uint8range1570"),
	QString("data1571"),
	QString("uint24range1572"),
	QString("data1573"),
	QString("uint24range1574"),
	QString("data1575"),
	QString("UUID1576"),
	QString("data1577"),
	QString("UUID1578"),
	QString("DUID1579"),
	QString("DUID1580"),
	QString("DUID1581"),
	QString("DUID1582"),
	QString("ipAddr1583"),
	QString("ipAddr1584"),
	QString("ipPrefix1585"),
	QString("ipPrefix1586"),
	QString("variant1587"),
	QString("variant1588"),
	QString("choice1589"),
	QString("adapter1590"),
	QString("adapter1591"),
	QString("variant1592"),
	QString("variant1593"),
	QString("variant1594"),
	QString("choice1595"),
	QString("storageFormat1596"),
	QString("virtualPortProfile1597"),
	QString("virtualPortProfile1598"),
	QString("virtualPortProfile1599"),
	QString("virtualPortProfile1600"),
	QString("seclabel1601"),
	QString("seclabel1602"),
	QString("seclabel1603"),
	QString("seclabel1604"),
	QString("seclabel1605"),
	QString("seclabel1606"),
	QString("os1607"),
	QString("os1608"),
	QString("os1609"),
	QString("osxen1610"),
	QString("osxen1611"),
	QString("variant1612"),
	QString("variant1613"),
	QString("variant1614"),
	QString("variant1615"),
	QString("variant1616"),
	QString("variant1617"),
	QString("variant1618"),
	QString("variant1619"),
	QString("choice1620"),
	QString("memory1621"),
	QString("memory1622"),
	QString("adjustment1623"),
	QString("clock1624"),
	QString("clock1625"),
	QString("clock1626"),
	QString("timer1627"),
	QString("timer1628"),
	QString("timer1629"),
	QString("timer1630"),
	QString("tickpolicy1631"),
	QString("tickpolicy1632"),
	QString("bootloader1633"),
	QString("disk1634"),
	QString("disk1635"),
	QString("diskBackingChain1636"),
	QString("diskBackingChain1637"),
	QString("diskSource1638"),
	QString("diskSource1639"),
	QString("diskSource1640"),
	QString("diskSource1641"),
	QString("diskSource1642"),
	QString("name1643"),
	QString("name1644"),
	QString("host1645"),
	QString("host1646"),
	QString("type1647"),
	QString("variant1648"),
	QString("variant1649"),
	QString("variant1650"),
	QString("variant1651"),
	QString("variant1652"),
	QString("choice1653"),
	QString("variant1654"),
	QString("variant1655"),
	QString("choice1656"),
	QString("filesystem1657"),
	QString("filesystem1658"),
	QString("filesystem1659"),
	QString("filesystem1660"),
	QString("filesystem1661"),
	QString("filesystem1662"),
	QString("interface1663"),
	QString("interface1664"),
	QString("interface1665"),
	QString("interface1666"),
	QString("interface1667"),
	QString("interface1668"),
	QString("interface1669"),
	QString("interface1670"),
	QString("interface1671"),
	QString("source1672"),
	QString("address1673"),
	QString("address1674"),
	QString("source1675"),
	QString("interface1676"),
	QString("driver1677"),
	QString("driver1678"),
	QString("graphics1679"),
	QString("variant1680"),
	QString("variant1681"),
	QString("choice1682"),
	QString("graphics1683"),
	QString("graphics1684"),
	QString("graphics1685"),
	QString("graphics1686"),
	QString("listen1687"),
	QString("listen1688"),
	QString("model1689"),
	QString("model1690"),
	QString("variant1691"),
	QString("variant1692"),
	QString("choice1693"),
	QString("class1694"),
	QString("class1695"),
	QString("vendor1696"),
	QString("vendor1697"),
	QString("product1698"),
	QString("product1699"),
	QString("version1700"),
	QString("version1701"),
	QString("console1702"),
	QString("variant1703"),
	QString("console1704"),
	QString("variant1705"),
	QString("variant1706"),
	QString("variant1707"),
	QString("choice1708"),
	QString("smartcard1709"),
	QString("smartcard1710"),
	QString("smartcard1711"),
	QString("backend1712"),
	QString("variant1713"),
	QString("variant1714"),
	QString("choice1715"),
	QString("hostdevsubsys1716"),
	QString("hostdevsubsys1717"),
	QString("hostdevsubsys1718"),
	QString("hostdevcaps1719"),
	QString("hostdevcaps1720"),
	QString("hostdevcaps1721"),
	QString("source1722"),
	QString("source1723"),
	QString("source1724"),
	QString("source1725"),
	QString("variant1726"),
	QString("variant1727"),
	QString("variant1728"),
	QString("variant1729"),
	QString("variant1730"),
	QString("variant1731"),
	QString("variant1732"),
	QString("variant1733"),
	QString("variant1734"),
	QString("variant1735"),
	QString("variant1736"),
	QString("variant1737"),
	QString("variant1738"),
	QString("variant1739"),
	QString("variant1740"),
	QString("variant1741"),
	QString("variant1742"),
	QString("variant1743"),
	QString("variant1744"),
	QString("variant1745"),
	QString("variant1746"),
	QString("choice1747"),
	QString("model1748"),
	QString("address1749"),
	QString("address1750"),
	QString("address1751"),
	QString("address1752"),
	QString("address1753"),
	QString("address1754"),
	QString("address1755"),
	QString("address1756"),
	QString("address1757"),
	QString("address1758"),
	QString("choice1759"),
	QString("backend1760"),
	QString("backend1761"),
	QString("mirror1762"),
	QString("mirror1763"),
	QString("secret1764"),
	QString("secret1765"),
	QString("variant1766"),
	QString("variant1767"),
	QString("choice1768"),
	QString("variant1769"),
	QString("variant1770"),
	QString("choice1771"),
	QString("data1772"),
	QString("ccwCssidRange1773"),
	QString("data1774"),
	QString("ccwCssidRange1775"),
	QString("data1776"),
	QString("ccwCssidRange1777"),
	QString("data1778"),
	QString("ccwDevnoRange1779"),
	QString("data1780"),
	QString("ccwDevnoRange1781"),
	QString("choice1782"),
	QString("cookie"),
	QString("nostate"),
	QString("running"),
	QString("blocked"),
	QString("paused"),
	QString("shutoff"),
	QString("crashed"),
	QString("disk-snapshot"),
	QString("disksnapshotdriver"),
	QString("name1792"),
	QString("name1793"),
	QString("disk1794"),
	QString("disk1795"),
	QString("variant1796"),
	QString("variant1797"),
	QString("variant1798"),
	QString("choice1799"),
	QString("disk1800"),
	QString("disk1801"),
	QString("disk1802"),
	QString("data1803"),
	QString("uint81804"),
	QString("data1805"),
	QString("uint81806"),
	QString("data1807"),
	QString("uint8range1808"),
	QString("data1809"),
	QString("uint8range1810"),
	QString("data1811"),
	QString("uint24range1812"),
	QString("data1813"),
	QString("uint24range1814"),
	QString("data1815"),
	QString("UUID1816"),
	QString("data1817"),
	QString("UUID1818"),
	QString("DUID1819"),
	QString("DUID1820"),
	QString("DUID1821"),
	QString("DUID1822"),
	QString("ipAddr1823"),
	QString("ipAddr1824"),
	QString("ipPrefix1825"),
	QString("ipPrefix1826"),
	QString("variant1827"),
	QString("variant1828"),
	QString("choice1829"),
	QString("adapter1830"),
	QString("adapter1831"),
	QString("variant1832"),
	QString("variant1833"),
	QString("variant1834"),
	QString("choice1835"),
	QString("cpuCheck"),
	QString("check"),
	QString("partial"),
	QString("full"),
	QString("model1840"),
	QString("cpuCache"),
	QString("level"),
	QString("2"),
	QString("3"),
	QString("domainCapabilities"),
	QString("max"),
	QString("supported"),
	QString("enum"),
	QString("cpuHost"),
	QString("cpuHostModel"),
	QString("cpuCustom"),
	QString("usable"),
	QString("anonymous1853")
};

const QString& getText(quint32 index_)
{
	return g_text[index_ - 1];
}
